package com.dk.mdm.config;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;

/**
 * @author : sh4wmoo
 * @date   : 2021-5-10 9:29
 * @desc   : 相关Mapper动态代理类
 */
public class MesProxy implements InvocationHandler {

    private Object target;


    public MesProxy(Object target) {
        this.target = target;
    }

    @Override
    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable {
        return method.invoke(target,args);
    }
}
